REM file: Whatis.inc - Public Domain DOS Utility. v2.2a include file.

REM Version 1.0a created 01/15/1996
REM Version 1.1a created 11/26/1998
REM Version 1.2a created 11/29/1999
REM Version 1.3a created 02/02/2000
REM Version 1.4a created 02/13/2000
REM Version 1.5a created 03/06/2000
REM Version 1.6a created 03/16/2000
REM Version 1.7a created 09/07/2000
REM Version 1.7b created 10/11/2000
REM Version 1.7c created 10/27/2000
REM Version 1.8a created 11/10/2000
REM Version 1.8b created 12/18/2000
REM Version 1.9a created 02/28/2001
REM Version 2.0a created 04/15/2001
REM Version 2.1a created 04/19/2002
REM Version 2.2a created 10/12/2002

DEFINT A-Z
REM $DYNAMIC

' constant declarations
CONST FalseD = 0#
CONST TrueD = -1#
CONST False = 0
CONST True = -1
CONST Nul = ""

CONST Max.Arrays = 128 ' can be changed
CONST Max.FNs = 26 ' can be changed

' define color values
CONST Black = 0
CONST Plain = 7
CONST White = 15
CONST Yellow = 14

' get include files
REM $INCLUDE: 'bpb.bi'
REM $INCLUDE: 'dta.bi'
REM $INCLUDE: 'qbx.bi'
REM $INCLUDE: 'fat32.bi'

' declare registers
COMMON SHARED InregsX AS RegtypeX, OutregsX AS RegtypeX

' declare program dta
COMMON SHARED BASIC.DTA.SEG AS INTEGER, BASIC.DTA.OFF AS INTEGER

' declare some structures
COMMON SHARED BPBfile AS BPBtype, FAT32struc AS FAT32Type

' global variables
COMMON SHARED Assign AS INTEGER
COMMON SHARED ASCIIZ AS STRING * 260
COMMON SHARED Data.Error AS INTEGER
COMMON SHARED Last.Token AS INTEGER
COMMON SHARED Out2 AS STRING
COMMON SHARED Out3 AS STRING
COMMON SHARED Out4 AS STRING
COMMON SHARED Recurse AS INTEGER
COMMON SHARED RecurseNest AS INTEGER
COMMON SHARED Strng AS STRING
COMMON SHARED Token AS INTEGER
COMMON SHARED Token.Index AS INTEGER
COMMON SHARED Token.List AS STRING
COMMON SHARED White.Space AS STRING

' data areas
COMMON SHARED Arrays() AS DOUBLE ' variable arrays A() to Z()
COMMON SHARED Definitions() AS STRING ' DEF FN functions
COMMON SHARED Strngs() AS STRING ' string variables A$ to Z$
COMMON SHARED Variables() AS DOUBLE ' variables A to Z

' subroutine declarations
DECLARE SUB Arith (T$, T1#, T2#)
DECLARE SUB Assignment1 (T$, T%)
DECLARE SUB Assignment2 (T$, T1%, T2%)
DECLARE SUB Enter.Equate (T%)
DECLARE SUB Equate (T#)
DECLARE SUB Get.Token ()
DECLARE SUB Get.Token2 (V%)
DECLARE SUB Get.Token3 ()
DECLARE SUB Get.Token4 ()
DECLARE SUB Parse.Alphabetic1 (T#)
DECLARE SUB Parse.Alphabetic2 (T#)
DECLARE SUB Parse.Alphabetic3 (T#)
DECLARE SUB Parse.Numeric (T#)
DECLARE SUB Parse.Quoted ()
DECLARE SUB Parse1 (T#)
DECLARE SUB Parse2 (T#)
DECLARE SUB Parse3 (T#)
DECLARE SUB Parse4 (T#)
DECLARE SUB Parse5 (T#)
DECLARE SUB Parse6 (T#)
DECLARE SUB Parse7 (T#)
DECLARE SUB Parse8 (T#)
DECLARE SUB Parse9 (T#)
DECLARE SUB Remove.Spaces ()

' function declarations
DECLARE FUNCTION ClearBreak()
DECLARE FUNCTION BreakIS()
DECLARE FUNCTION KeyIS()
DECLARE FUNCTION KeyboardChar$()
DECLARE FUNCTION KeyboardLine$()
